/api/v1/chats/{id} (GET)
const url = 'https://api.endless.zaia.app/api/v1/chats/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.endless.zaia.app/api/v1/chats/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0Retrieves a chat.
Parameters
Seção intitulada “Parameters”Path Parameters
Seção intitulada “Path Parameters”A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
Responses
Seção intitulada “Responses”Retrieves a chat.
object
A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
The super identity ID of the chat owner. Can refer to users.superIdentityId or externalUsers.superIdentityId.
The super identity ID of the current chat responder. Can refer to agents.superIdentityId or squads.superIdentityId.
A UUID v4 string that identifies an entity.
object
A UUID v4 string that identifies an entity.
The number of distinct pending or ongoing tickets linked to this tag via ticket_tags or chat_tags.
The color of the tag.
The description of the tag.
The display name of the tag.
The workspace that owns this tag.
Example
{ "tags": [ { "color": "default" } ]}Unauthorized.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Chat not found.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}